package com.liquidnet.service.adam.constant;

public class AdamRedisConst {
    public static final String PREFIX = "adam:";

    public static final String LIB_DICT_LOCATE_MOBILE = PREFIX.concat("lib_dict:locate_mobile:");

    public static final String VALID_SMS_CODE_MOBILE = PREFIX.concat("valid:sms:code:mobile");

    public static final String IDENTITY_MOBILE = PREFIX.concat("identity:mobile:");
    public static final String IDENTITY_THIRD_PARTY = PREFIX.concat("identity:third_party:");

    public static final String INFO_TAGS_SEX = PREFIX.concat("info:tags:sex");
    public static final String INFO_TAGS_MUSIC = PREFIX.concat("info:tags:music");

    public static final String INFO_USER = PREFIX.concat("info:user:");
    public static final String INFO_USER_MEMBER = PREFIX.concat("info:umember:");
    public static final String INFO_REAL_NAME = PREFIX.concat("info:real_name:");
    public static final String INFO_THIRD_PARTY = PREFIX.concat("info:third_party:");
    public static final String INFO_ENTERS = PREFIX.concat("info:enters:");
    public static final String INFO_ADDRESSES = PREFIX.concat("info:addresses:");

    public static final String INFO_CERTIFICATION = PREFIX.concat("info:certification:");
    /**
     * 认证失败标记
     */
    public static final String INFO_CERTIFICATION_JUNK = PREFIX.concat("info:certification_junk:");

    public static final String INFO_MEMBER_JOINUS = PREFIX.concat("info:member:joinus:");
    public static final String INFO_MEMBER_SIMPLE = PREFIX.concat("info:member:simple");
    public static final String INFO_MEMBER_CATEGORY = PREFIX.concat("info:member:category:");
    public static final String INFO_MEMBER_PRICE = PREFIX.concat("info:member:price:");
    /**
     * 默认会员权益
     */
    public static final String INFO_MEMBER_RIGHTS = PREFIX.concat("info:member:rights:");
    /**
     * 老会员权益
     */
    public static final String INFO_MEMBER_RIGHTS_V = PREFIX.concat("info:member:rights:v:");
    public static final String INFO_MEMBER_RIGHTS_COUPON = PREFIX.concat("info:member:rights_coupon:");
    public static final String INFO_MEMBER_AGREEMENT = PREFIX.concat("info:member:agreement");

    public static final String INFO_MEMBER_CODE = PREFIX.concat("info:member:code:");
    public static final String INFO_MEMBER_ORDER = PREFIX.concat("info:morder:");
    public static final String INFO_MEMBER_ORDER_BUY_CODE = PREFIX.concat("info:mordercode:");

//    public static final String INFO_LIBRARY_NKNAME = PREFIX.concat("info:library:nkname");

    public static final String BLK_LIST_MEMBER_UID = PREFIX.concat("blacklist:member:uid");

    public static final String SHOT_MEMBER_ORDER = PREFIX.concat("morder:");

    public static final String INCR_MEMBER_NO = PREFIX.concat("incr:member_no");
    public static final String INCR_MEMBER_LIMITATION = PREFIX.concat("incr:member_limitation");

//    public static final String SWITCH_BUY_MEMBER = PREFIX.concat("switch:buy:member");

    public static final String SERIAL_NUMBER_MEMBER = PREFIX.concat("serial_no:");

    /* ----------------------------------------------------------------- */

//    public static final String LOCK_KEY_UMEMBER_NO = "adam:lk:member:no";
//    public static final String LOCK_KEY_SMS_CODE_MOBILE = "adam:lk:sms:code:mobile:";
//    public static final String LOCK_KEY_UREGISTER = "adam:lk:register:";
//    public static final String LOCK_KEY_UIDENTITY = "adam:lk:identity:";
//    public static final String LOCK_KEY_UMEMBER_CODE = "adam:lk:member:code:";

    /* ----------------------------------------------------------------- */
}
